using Photon.Pun;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class NetworkAbilityChainReaction : MonoBehaviour
{
    public BaseAbility ability;
    public GameObject abilityPrefabName;
    protected GameObject spawnedChainReaction;

    public virtual void ExecuteAbilityChainReaction(PhotonView owner, Taggable ownerTag)
    {
        if (owner.IsMine)
            spawnedChainReaction = PhotonNetwork.Instantiate("Abilities/" + abilityPrefabName.name, this.transform.position, Quaternion.identity);
    }
}
